package com.ruoyi.buyerapi.domain;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 辅助帐凭证项目关系对象 buyer_voucher_project
 *
 * @author ruoyi
 * @date 2022-09-22
 */
@Data
public class BuyerVoucherProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 公司id */
    @Excel(name = "公司id")
    private String companyId;

    /** 占比 */
    @Excel(name = "占比")
    private BigDecimal proportion;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal price;

    /** 立项管理id */
    @Excel(name = "立项管理id")
    private String projectId;

    /** 凭证id */
    @Excel(name = "凭证id")
    private String voucherId;

    /** 排序 */
    private Integer orderIndex;

    private String voucherType;

    private String voucherCode;

    private String expenseType;

    /** 科目 */
    private String subject;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("companyId", getCompanyId())
            .append("proportion", getProportion())
            .append("price", getPrice())
            .append("projectId", getProjectId())
            .append("voucherId", getVoucherId())
            .toString();
    }
}
